Bug 1829647 - Monitoring: Silence details page "Firing Alerts" field is blank when no matching alerts
Summary: Monitoring: Silence details page "Firing Alerts" field is blank when no match...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.5.0
Assignee: Andrew Pickering
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-30 01:16 UTC by Andrew Pickering
Modified: 2020-07-13 17:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:32:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Silences List (131.70 KB, image/png)
2020-05-06 07:37 UTC, Yadan Pei
no flags Details
Silence Details (279.04 KB, image/png)
2020-05-06 07:38 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5206 0 None closed Bug 1829647: Monitoring: Silence details page: Display `-` when no Firing Alerts 2020-06-24 01:30:19 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:33:51 UTC

Description Andrew Pickering 2020-04-30 01:16:56 UTC

Comment 4 Yadan Pei 2020-05-06 07:37:54 UTC
Created attachment 1685571 [details]
Silences List

Comment 5 Yadan Pei 2020-05-06 07:38:16 UTC
Created attachment 1685572 [details]
Silence Details

Comment 6 Yadan Pei 2020-05-06 07:41:03 UTC
1. Admin user creates a silence matching no alerts at Monitoring -> Alerting -> Silences -> Create Silence
2. View silence details

on Silence Details page && Silence List page,  Firing Alerts value shows '-'  (see screenshot)

Verified on     4.5.0-0.nightly-2020-05-04-113741

Comment 7 errata-xmlrpc 2020-07-13 17:32:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.